Subject: Re: [PATCH 0/3] iommu/io-pgtable-arm: Mali LPAE improvements

From: Neil Armstrong <[email-masked]>
Date: Wed, 11 Sep 2019 18:19:04 +0200

Hi,

On 11/09/2019 16:42, Robin Murphy wrote:
> Hi all,
> 
> Here's the eagerly-awaited fix to unblock T720/T820, plus a couple of
> other bits that I've collected so far. I'm not considering this as
> 5.3 fixes material, but it would be nice if there's any chance still
> to sneak it into 5.4.
> 
> Robin.
> 
> 
> Robin Murphy (3):
>   iommu/io-pgtable-arm: Correct Mali attributes
>   iommu/io-pgtable-arm: Support more Mali configurations
>   iommu/io-pgtable-arm: Allow coherent walks for Mali
> 
>  drivers/iommu/io-pgtable-arm.c | 61 ++++++++++++++++++++++++++--------
>  1 file changed, 48 insertions(+), 13 deletions(-)
> 

Tested-by: Neil Armstrong <[email-masked]>

On Khadas VIM2 (Amlogic S912) with T820 Mali GPU

I hope this will be part of v5.4 so we can run panfrost on vanilla v5.4 !

Thanks for pushing this,
Neil

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel